function onBegin()
    disableMovement()
    player.ForceCameraUpdate = true
    setFlag("ozma_climb_cutscene",true)
    wait(1.5)
    walk(-15,false,0.05,false)
    wait(1.5)
    walk(9,false,0.03,false)
    say("ozma_climb_falldialogue")
    setFlag("ozma_climb_fallingblock2",true)
    setFlag("ozma_climb_thom1",true)
    wait(1.5)
    say("ozma_climb_saveme")
    setFlag("ozma_climb_thom1",false)
    setFlag("ozma_climb_thom2",true)
    say("ozma_climb_saveme2")
    wait(1)
    setFlag("ozma_climb_rise",true)
    setFlag("ozma_climb_thom2",false)
    setFlag("ozma_climb_thom3",true)
    say("ozma_climb_ohno")
    setFlag("ozma_climb_fallingblock3",true)
    wait(4)
    setFlag("ozma_climb_thom3",false)
    setFlag("ozma_climb_thom4",true)
    say("ozma_climb_endgame")
end

function onEnd()
    completeArea(true,false,false)
end